import java.util.Scanner;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintWriter;

/**
 * Created by IntelliJ IDEA.
 * User: mavrin
 * Date: 15.11.2005
 * Time: 19:20:30
 * To change this template use File | Settings | File Templates.
 */
public class pluk_pm {

    public static void main(String[] args) throws FileNotFoundException {
        Scanner scanner = new Scanner(new File("pluk.in"));
        PrintWriter writer = new PrintWriter(new File("pluk.out"));

        int x1 = scanner.nextInt();
        int y1 = scanner.nextInt();
        int x2 = scanner.nextInt();
        int y2 = scanner.nextInt();

        while (Math.abs(x1 - x2) + Math.abs(y1 - y2) > 1) {
            if (x1 < x2) {
                if (y1 < y2) {
                    writer.println("-A");
                    writer.println("+B");
                    x1++;
                    y1++;
                } else {
                    writer.println("+A");
                    writer.println("-B");
                    x1++;
                    y1--;
                }
            } else {
                if (y1 < y2) {
                    writer.println("+B");
                    writer.println("-A");
                    x1--;
                    y1++;
                } else {
                    writer.println("-B");
                    writer.println("+A");
                    x1--;
                    y1--;
                }
            }
        }

        writer.close();

    }
}
